@import "node_modules/bootstrap/less/variables.less";
@list-icons-width: ceil(@font-size-base * 1.25 * 4);

form[name="record"] {
    div.repeatable {
        > div {
            &[data-field], &[data-group] > div.panel-heading > div.list-icons-target > h3 {
                div.list-icons {
                    > a[data-type] {
                        display: none;
                    }
                    + div {
                        margin-left: @list-icons-width;
                    }
                }
            }
            &[data-field]:nth-child(n+2), &[data-group]:nth-child(n+2) > div.panel-heading > div.list-icons-target > h3 {
                div.list-icons {
                    > a[data-type="arrow-up"] {
                        display: inline-block;
                    }
                }
                .repeatable-hidden {
                    display: none;
                }
            }
            &[data-field]:nth-last-child(n+2), &[data-group]:nth-last-child(n+2) > div.panel-heading > div.list-icons-target > h3 {
                div.list-icons {
                    > a[data-type="arrow-down"] {
                        display: inline-block;
                    }
                }
            }
        }
        &:not(.repeatable-min-reached) {
            > div {
                &[data-field]:nth-child(n+2), &[data-group]:nth-child(n+2) > div.panel-heading > div.list-icons-target > h3 {
                    div.list-icons {
                        > a[data-type="delete"] {
                            display: inline-block;
                        }
                    }
                }
            }
        }
        &:not(.repeatable-max-reached) {
            > div {
               &[data-field]:last-child, &[data-group]:last-child > div.panel-heading > div.list-icons-target > h3 {
                    div.list-icons {
                        > a[data-type="add"] {
                            display: inline-block;
                        }
                    }
                }
            }
        }
        &.repeatable-max-reached {
            > div {
               &[data-field]:last-child, &[data-group]:last-child > div.panel-heading > div.list-icons-target > h3 {
                    div.list-icons {
                        padding-right: ceil((@list-icons-width - 12px) / 3);
                    }
                }
            }
        }
    }

}
